summaryrefslogtreecommitdiff
path: root/build-test.sh
diff options
context:
space:
mode:
authorElinor Fung <47805090+elinor-fung@users.noreply.github.com>2019-05-29 01:46:08 (GMT)
committerGitHub <noreply@github.com>2019-05-29 01:46:08 (GMT)
commit34805dc3852ba218fcfd695bc0b9eb996860e025 (patch)
treeba9fc69cc66a238cd37ba899dd5d6e15367e69ab /build-test.sh
parent420884ff6f4244f0e6ca8c5cfc2f59a708d89379 (diff)
downloadcoreclr-34805dc3852ba218fcfd695bc0b9eb996860e025.zip
coreclr-34805dc3852ba218fcfd695bc0b9eb996860e025.tar.gz
coreclr-34805dc3852ba218fcfd695bc0b9eb996860e025.tar.bz2
Use Arcade for native versioning (#24785)
Diffstat (limited to 'build-test.sh')
-rwxr-xr-xbuild-test.sh15
1 files changed, 8 insertions, 7 deletions
diff --git a/build-test.sh b/build-test.sh
index b53a99f..2b9635d 100755
--- a/build-test.sh
+++ b/build-test.sh
@@ -490,13 +490,14 @@ build_native_projects()
__versionSourceFile="$intermediatesForBuild/version.c"
if [ $__SkipGenerateVersion == 0 ]; then
pwd
- $__ProjectRoot/dotnet.sh msbuild /nologo /verbosity:minimal /clp:Summary \
- /p:RestoreDefaultOptimizationDataPackage=false /p:PortableBuild=true \
- /p:UsePartialNGENOptimization=false /maxcpucount \
- $__ProjectDir/build.proj /t:GenerateVersionHeader \
- /p:GenerateVersionHeader=true /p:NativeVersionSourceFile=$__versionSourceFile \
- /l:BinClashLogger,Tools/Microsoft.DotNet.Build.Tasks.dll\;LogFile=binclash.log \
- $__CommonMSBuildArgs $__UnprocessedBuildArgs
+ $__ProjectRoot/eng/common/msbuild.sh $__ProjectRoot/eng/empty.proj \
+ /p:NativeVersionFile=$__versionSourceFile \
+ /p:ArcadeBuild=true /t:GenerateNativeVersionFile /restore \
+ $__CommonMSBuildArgs $__UnprocessedBuildArgs
+ if [ $? -ne 0 ]; then
+ echo "Failed to generate native version file."
+ exit $?
+ fi
else
# Generate the dummy version.c, but only if it didn't exist to make sure we don't trigger unnecessary rebuild
__versionSourceLine="static char sccsid[] __attribute__((used)) = \"@(#)No version information produced\";"